Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
objects
/
download
Error
A valid request URL is required to generate request examples
{
  "download_url": "<string>",
  "file_name": "<string>",
  "content_type": "<string>",
  "size_bytes": 1,
  "expires_in_seconds": 2
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Body

application/json
event_id
integer
required

Temporal history event ID

Required range: x >= 1
field
enum<string>
default:action_result
Available options:
action_result
collection_index
integer | null

Optional index into a CollectionObject result. When omitted, operates on the top-level object result.

Required range: x >= 0

Response

Successful Response

download_url
string
required

Pre-signed download URL

file_name
string
required

Suggested file name

content_type
string
required

MIME type of the object

size_bytes
integer
required

Object size in bytes

Required range: x >= 0
expires_in_seconds
integer
required

Presigned URL expiry in seconds

Required range: x >= 1